Skip to content

Agent reports liveness, version, and last-sync stats

POST
/api/public/v1/agents/{agent_id}/heartbeat
Code sample: cURL
curl --request POST \
--url 'https://api.getzutax.com/api/public/v1/agents/a9ce860b-fc65-4784-b7e5-1f3fc311f8ce/heartbeat' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <unique-request-key>' \
--data '{
"version": "string",
"os": "string",
"last_sync_at": "2026-02-11T10:00:00Z",
"last_sync_status": "string",
"erp_reachable": true,
"queue_depth": 0
}'
agent_id
required
Agent Id
string format: uuid
Media type application/json
AgentHeartbeatInput
object
version
required
Version
string
<= 64 characters
os
required
Os
string
<= 64 characters
last_sync_at
Any of:
string format: date-time
last_sync_status
Any of:
string
<= 32 characters
erp_reachable
required
Erp Reachable
boolean
queue_depth
Queue Depth
integer
0
Examples
Example Sample request

Request payload example

{
"version": "string",
"os": "string",
"last_sync_at": "2026-02-11T10:00:00Z",
"last_sync_status": "string",
"erp_reachable": true,
"queue_depth": 0
}

Successful Response

Media type application/json
AgentHeartbeatResponse
object
received_at
required
Received At
string format: date-time
Examples
Example Sample response

200 response example

{
"received_at": "2026-02-11T10:00:00Z"
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examples
Example Sample response

422 response example

{
"detail": [
{
"loc": [],
"msg": "string",
"type": "string"
}
]
}